
* Waveform probing commands

$test biasgen
.acmodel {*}
.options scale=0.8u   reltol=1e-7 absq=1e-17 absi=1e-18 reli=1e-6 deftables=0 mosparasitics=0 gmindc=1e-18 gminalgorithm=1 gramp=4
$.options scale=0.8u   reltol=1e-6 abstol=1e-15S deftables=0 mosparasitics=0
$+ poweruplen=3m numnd=1200 numnt=6
.gridsize mos 256 256 128
.nodeset BiasGenNBias=.677 vres=.161 biasgenncasc=1.6
$ to vary pseudoresistor current splitter geometry (.param must be removed from all schematics)
$.param gmult=1
$.param a='gmult*81' b='gmult*10' c='gmult*9'

$.include ml49_15.md
.include t13p-params.md $ mosis params for friend20 chip run
$ original 
.param A=81 B=10 C=9
$.param A=81 B=18 C=16
.acmodel {*}		$ .acmodel doesn't work for powerup .tran simulations
.include biasgen.sp
$.include biasgen.sp
$vdd Vdd gnd 5 
$vdd Vdd gnd PULSE (5 5.5 400u 10u 10u 50u 10m)
vdd Vdd Gnd PWL (0 5 10m 5  10.01m 6  12m 6 12.01m 5 20m 5 60m 3 100m 7)
$vpr pr gnd PULSE (0 .1 30m 10n 10n 10m 20m)

rx rx gnd  150k TC=150e-6 $118k  $ 118k is weak inversion model, gives 10% too much current 

$ parasitic coupling to syn weight bias
cPar parIn ESynWeight 1pF
vPar parIn gnd pwl (0 0 30ms 0 30.001ms .01 40ms .01 40.001ms 0)

$.nodeset Xmasterbias.pmirrorin=4.3, Xmasterbias.pmirrorout=2 Xmasterbias.kickgate=0,
$+ Xmasterbias.vres=0.119
$+ BiasGenNBias=.7 , BiasGenNCasc=1.8

.temp 27 $ 0 60
$.op
.tran/powerup 10m 100m
$.print tran Vdd BiasGenNBias vres
$.print tran "ibiasgen.out" i(Mrecepbias)

.print tran ESynWeight parIn
$.print tran '-i(Mrecep)/10e-6' '-i(Msynpubias)/100e-9' '-i(Mfollagg)/10e-9' '-i(Mbump)/0.5e-9' 'i(Mesynweight)/.1e-9' 'i(Xmasterbias_1.Mnbias)/1e-6' 'i(Xresnetcompartment_6.Mreadout)/10p' 'i(Xresnetend_1.Mreadout)/10p' v(vdd)
$.print tran v(BiasGenNBias) v(BiasGenNCasc) v(RecepBias) v(CascBias) v(BumpBias)
$.print tran  BumpBias RecepBias CascBias PulseWidthBias pulse
$.print dc BiasGenNBias BumpBias RecepBias PulseWidthBias
$.print tran 'abs(i(Mrecep))'  '1000*abs(i(Mbump))' '10*abs(i(Mpulsewidth))'
$.print tran 'abs(i(Mrecep))'  'abs(i(Mbump))' 'abs(i(Mpulsewidth))'
$.print dc  i(Mrecep)  i(Mbump) i(Mpulsewidth)
$.print tran  i(Xres2.Vi) i(Xres3.Vi) i(Xres4.Vi)
$.print tran v(vres)